API | Doing Solutions
  1. Empresa
API | Doing Solutions
  • Introducción
  • Autenticación
  • Ambientes
  • Implementación
  • Modelo Outsourcing
    • Personal
      • Consultar Datos Generales
      • Consultar Comprobantes de Pago
      • Crear Empleado y Contrato
      • Registrar Conceptos
    • Empresa
      • Consultar Estructura
        GET
      • Consultar Contabilización
        GET
  • Autenticación
    POST
  1. Empresa

Consultar Contabilización

GET
/api/bpo/empresa/
Consulta que traerá toda la información detallada de la contabilización que se este buscando.
Muestra la contabilización por periodos, lotes y movimiento.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Consultar Contabilización
application/json
Body

🟠404Sin Registros
🟠400Faltan campos
🟠400Contabilizacion no parametrizada
🔴500Error Interno
🟠401Falta Token
🟠422Token invalido
🟠423Usuario Inactivo
🟠406IP Invalida
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://doisol.sytes.net/api/bpo/empresa/?contabilizacion=&nit_empresa=NIT&tipo_contabilizacion=[F,N,P,R,S,Y]&ano=0&mes=[1-12]&periodo=0&lote=0' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Consultar Contabilización
{
  "tipo_proceso": "N", 
  "nit_empresa": 0,
  "desc_empresa": "RAZON SOCIAL CLIENTE",
  "ano": 0,
  "mes": 0,
  "nomina": "0",
  "periodos": [
    {
      "00000": {
        "periodo": 0,
        "fecha_inicial": "YYYY-MM-DD",
        "fecha_final": "YYYY-MM-DD",
        "lotes": [
          {
            "0": {
              "total_debito": 0.00,
              "total_credito": 0.00,
              "movimientos": [
                {
                  "00000": {
                    "contrato": 0,
                    "cedula_empleado": 0,
                    "cuenta": "0",
                    "desc_cuenta": "DESCRIPCION CUENTA",
                    "naturaleza": "D", // D: Débito o C: Crédito
                    "valor": 0.00,
                    "clave_contable_1": "00",
                    "clave_contable_2": "00",
                    "tercero_movimiento": 0,
                    "desc_tercero_movimiento": "NOMBRE TERCERO",
                    "area": "AREA",
                    "centro_costos": "0000AB",
                    "subcentro": 0
                  }
                }
              ]
            }
          }
        ]
      }
    }
  ]
}
Previous
Consultar Estructura
Next
Autenticación
Built with